Bug 63507 - gdb cannot install breakpoints at movl instructions
gdb cannot install breakpoints at movl instructions
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
7.2
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnston
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-15 04:15 EDT by Yoav Zach
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 17:25:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source code for a test program (269 bytes, text/plain)
2002-04-15 04:17 EDT, Yoav Zach
no flags Details

  None (edit)
Description Yoav Zach 2002-04-15 04:15:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
when trying to install a breakpoint at an address with movl instructions, gdb
reports the breakpoint as existing, but fails to stop execution when arriving at
it

Version-Release number of selected component (if applicable): 
5.1-1


How reproducible:
Always

Steps to Reproduce:
1.build the attached source file - "gcc -g -o movl movl.c"
2.run "gdb movl"
3.set a breakpoint at a movl instruction - "b *0x40000000000006b1"
4.run the program - "r" 
	

Actual Results:  the program will terminate without stopping 

Expected Results:  the program should stop execution at the breakpoint

Additional info:

the source code ( if the attachement does not arrive )

------------------ start code ----------------------------
/* file movl.c 
 * demonstrate gdb problem
 */
#include <stdio.h>

int main ()
{
  unsigned long r;

  __asm__ __volatile__ ("movl r24=0xe000000000000198;;\n"
                        "movl r25=0xe000000000000198;;\n"
                        "add %0=r24, r25;;\n"
                        :"=r"(r):: "r24", "r25");
  printf ("%lx\n", r);

  return 0;
}
------------------ end code ----------------------------
Comment 1 Yoav Zach 2002-04-15 04:17:50 EDT
Created attachment 53826 [details]
source code for a test program
Comment 2 Trond Eivind Glomsrxd 2002-04-15 10:41:00 EDT
Still a problem with the 5.2 gdb branch on ia64 from Thursday.
Comment 3 Jeff Johnston 2004-03-01 17:25:51 EST
Problem no longer exists on RHEL3 and current gdb.

Note You need to log in before you can comment on or make changes to this bug.